const Mesa = require('vendor/Mesa.js');
const ShopifyGraphql = require('vendor/ShopifyGraphql.js');
const Shopify= require('vendor/Shopify.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {
  script = (payload, context) => {
    let vars = context.steps;
    
    let query = `
      query MyQuery($query: String!) {
        orders(first: 20, query: $query, reverse: true) {
          nodes {
            id
            name
            displayFulfillmentStatus
          }
        }
      }
    `;

    const r = ShopifyGraphql.send(query, {
      "query": "sku:" + vars.shopify_1.sku + " AND status:open",
    });

    Mesa.trigger.setTaskExternalData({
      label: "SKU: " + vars.shopify_1.sku + " - orders: " + r.data.orders.nodes.length,
    });

    Mesa.output.next({"orders": r.data.orders.nodes});
  }
}
